package com.zd.laboratory.socket.service.impl;


import com.zd.laboratory.socket.constant.JXCTPacket;
import com.zd.laboratory.socket.exception.AnalysisException;
import com.zd.laboratory.socket.service.BaseRouter;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * @author liubo
 * 09继电器问询经纬度
 */
@Service
public class PostionAsk implements BaseRouter {

    private static Logger log = LoggerFactory.getLogger(PostionAsk.class);

    public PostionAsk() {
        routerMap.put("09", this);
    }


    @Override
    public String routePacket(JXCTPacket tracketPacket) throws AnalysisException {
        log.info(tracketPacket.deviceNumber + " 指令08 问询设备经纬度");
        return null;
    }
}
